Debian Bug report logs - #82601
xutils: mkfontdir SEGVs on sparc

version graph

Package: xutils; Maintainer for xutils is Debian X Strike Force <debian-x@lists.debian.org>; Source for xutils is src:xorg.

Reported by: gibreel@debian.org

Date: Wed, 17 Jan 2001 07:03:03 UTC

Severity: normal

Merged with 84793

Found in version 4.0.2-1

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to gibreel@debian.org:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value import was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gibreel@debian.org
To: submit@bugs.debian.org
Subject: xutils: mkfontdir SEGVs on sparc
Date: Tue, 16 Jan 2001 22:10:19 -0800
Package: xutils
Version: 4.0.2-1
Severity: import

Using

	mkfontdir /usr/lib/X11/fonts/{75dpi,100dpi,Type1,Speedo}
	mkfontdir -h
	mkfontdir

segfaults everytime under Sparc64

Attached is an strace output for what it's worth.  Unfortunately, ltrace is not currently
available for sparc:

11580 execve("/usr/bin/X11/mkfontdir", ["mkfontdir", "/usr/lib/X11/fonts/75dpi"], [/* 18 vars */]) = 0
11580 uname({sys="Linux", node="kanga", ...}) = 0
11580 brk(0)                            = 0x3ba00
11580 open("/etc/ld.so.preload", O_RDONLY) = -1 ENOENT (No such file or directory)
11580 open("/etc/ld.so.cache", O_RDONLY) = 4
11580 SYS_63()                          = -1 ENOSYS (Function not implemented)
11580 fstat(4, {st_mode=S_IFREG|0644, st_size=13739, ...}) = 0
11580 mmap(NULL, 13739, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7001c000
11580 close(4)                          = 0
11580 open("/lib/libm.so.6", O_RDONLY)  = 4
11580 read(4, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\2\0\0\0\1\0\0\204"..., 1024) = 1024
11580 fstat(4, {st_mode=S_IFREG|0644, st_size=201204, ...}) = 0
11580 mmap(NULL, 265560, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x7002e000
11580 mprotect(0x7005e000, 68952, PROT_NONE) = 0
11580 mmap(0x7005e000, 73728, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 4, 0x20000) = 0x7005e000
11580 close(4)                          = 0
11580 open("/usr/lib/libz.so.1", O_RDONLY) = 4
11580 read(4, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\2\0\0\0\1\0\0\31"..., 1024) = 1024
11580 fstat(4, {st_mode=S_IFREG|0644, st_size=59184, ...}) = 0
11580 mmap(NULL, 123632, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x70070000
11580 mprotect(0x7007e000, 66288, PROT_NONE) = 0
11580 mmap(0x70080000, 65536, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 4, 0) = 0x70080000
11580 close(4)                          = 0
11580 open("/lib/libc.so.6", O_RDONLY)  = 4
11580 read(4, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\2\0\0\0\1\0\0020"..., 1024) = 1024
11580 fstat(4, {st_mode=S_IFREG|0755, st_size=1175848, ...}) = 0
11580 mmap(NULL, 1251232, PROT_READ|PROT_EXEC, MAP_PRIVATE, 4, 0) = 0x70090000
11580 mprotect(0x701a8000, 104352, PROT_NONE) = 0
11580 mmap(0x701b0000, 57344, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 4, 0x110000) = 0x701b0000
11580 mmap(0x701be000, 14240, PROT_READ|PROT_WRITE|PROT_EXEC, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x701be000
11580 close(4)                          = 0
11580 open("/lib/libc.so.6", O_RDONLY)  = 4
11580 read(4, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\2\0\0\0\1\0\0020"..., 1024) = 1024
11580 fstat(4, {st_mode=S_IFREG|0755, st_size=1175848, ...}) = 0
11580 close(4)                          = 0
11580 open("/lib/libc.so.6", O_RDONLY)  = 4
11580 read(4, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\2\0\0\0\1\0\0020"..., 1024) = 1024
11580 fstat(4, {st_mode=S_IFREG|0755, st_size=1175848, ...}) = 0
11580 close(4)                          = 0
11580 munmap(0x7001c000, 13739)         = 0
11580 getpid()                          = 11580
11580 --- SIGSEGV (Segmentation fault) ---
11580 +++ killed by SIGSEGV +++

ldd /usr/bin/X11/mkfontdir gives:

	libm.so.6 => /lib/libm.so.6 (0x7002e000)
	libz.so.1 => /usr/lib/libz.so.1 (0x70070000)
	libc.so.6 => /lib/libc.so.6 (0x70090000)
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x70000000)

Let me know if there's something you want me to try/test

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux kanga 2.2.17 #1 SMP Tue Jul 4 14:39:30 EDT 2000 sparc64 unknown

Versions of the packages xutils depends on:
ii  libc6          2.2.1-1        GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.0-7          Shared libraries for terminal handling
ii  xfree86-common 4.0.2-1        X Window System (XFree86) infrastructure
ii  zlib1g         1.1.3-12       compression library - runtime



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #10 received at 82601@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: 82601@bugs.debian.org, 82601-submitter@bugs.debian.org
Subject: Re: xutils: mkfontdir SEGVs on sparc
Date: Sat, 20 Jan 2001 08:55:15 +0100
Strange, we have no such reports upstream, and I don't think anything
has changed in mkfontdir recently.  Could you provide a stack
backtrace?  It would be best if you could first recompile mkfontdir
with debugging.

                                        Juliusz



Message sent on to gibreel@debian.org:
Bug#82601. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Stephen Zander <gibreel@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #18 received at 82601@bugs.debian.org (full text, mbox):

From: Stephen Zander <gibreel@debian.org>
To: Juliusz Chroboczek <jch@pps.jussieu.fr>
Cc: 82601@bugs.debian.org, 82601-submitter@bugs.debian.org
Subject: Re: Bug#82601: xutils: mkfontdir SEGVs on sparc
Date: 22 Jan 2001 13:22:40 -0800
>>>>> "jch" == Juliusz Chroboczek <jch@pps.jussieu.fr> writes:
    jch> Strange, we have no such reports upstream, and I don't think
    jch> anything has changed in mkfontdir recently.  Could you
    jch> provide a stack backtrace?  It would be best if you could
    jch> first recompile mkfontdir with debugging.

I've not got around to rebuilding mkfontdir yet but I do have some
more information on this.  The failure is occuring before mkfontdi
even gets to main().  What version of libc6 was used to build this
package?

Running

    gdb /usr/bin/X11/mkfontdir

shows the SEGV occuring in the _init routine of /usr/lib/libz.so.1.
If I force the early inclusion of that library with LD_PRELOAD, the
SEGV moves to the inflate_mask routine in /lib/libm.so.6

Also, mkfontdir is pulling GLIBC2.0, GLIBC2.1 and GLIBC2.2 tagged
symbols from libc.so.6, resulting in it opening the lib6.so.6 library
three times.  Is this normal?

-- 
Stephen

"Farcical aquatic ceremonies are no basis for a system of government!"



Message sent on to gibreel@debian.org:
Bug#82601. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Juliusz Chroboczek <jch@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #26 received at 82601@bugs.debian.org (full text, mbox):

From: Juliusz Chroboczek <jch@pps.jussieu.fr>
To: 82601@bugs.debian.org, 82601-submitter@bugs.debian.org
Subject: Re: Bug#82601: xutils: mkfontdir SEGVs on sparc
Date: Tue, 23 Jan 2001 08:16:07 +0100
SZ> Running

SZ>     gdb /usr/bin/X11/mkfontdir

SZ> shows the SEGV occuring in the _init routine of /usr/lib/libz.so.1.
SZ> If I force the early inclusion of that library with LD_PRELOAD, the
SZ> SEGV moves to the inflate_mask routine in /lib/libm.so.6

SZ> Also, mkfontdir is pulling GLIBC2.0, GLIBC2.1 and GLIBC2.2 tagged
SZ> symbols from libc.so.6, resulting in it opening the lib6.so.6 library
SZ> three times.  Is this normal?

No.  It looks like mkfontdir was linked against one version of libc,
and was also linked against (static?) libraries that are using
different versions of libc.

Branden, do you think it's a libXfont problem again?

                                        Juliusz




Message sent on to gibreel@debian.org:
Bug#82601. Full text and rfc822 format available.

Merged 82601 84793. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to "Mark W. Eichin" <eichin@thok.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #36 received at 82601@bugs.debian.org (full text, mbox):

From: "Mark W. Eichin" <eichin@thok.org>
To: 82601@bugs.debian.org
Subject: mkfontdir
Date: Mon, 19 Feb 2001 00:31:25 -0500 (EST)
objdump points out:

DYNAMIC SYMBOL TABLE:
000000000003b0fc      DF *UND*  00000000000001b0  GLIBC_2.2   localeconv
000000000003b204      DF *UND*  00000000000001e4  GLIBC_2.1   fclose
000000000003b2a0      DF *UND*  00000000000000a0  GLIBC_2.1   fopen

all other versions are GLIBC_2.0 or "Base".  Don't know if that gives
any hints, but locale stuff is *always* suspicious :-)



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #41 received at 82601@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: "Mark W. Eichin" <eichin@thok.org>, 82601@bugs.debian.org
Subject: Re: Bug#82601: mkfontdir
Date: Mon, 19 Feb 2001 08:57:18 -0500
On Mon, Feb 19, 2001 at 12:31:25AM -0500, Mark W. Eichin wrote:
> objdump points out:
> 
> DYNAMIC SYMBOL TABLE:
> 000000000003b0fc      DF *UND*  00000000000001b0  GLIBC_2.2   localeconv
> 000000000003b204      DF *UND*  00000000000001e4  GLIBC_2.1   fclose
> 000000000003b2a0      DF *UND*  00000000000000a0  GLIBC_2.1   fopen
> 
> all other versions are GLIBC_2.0 or "Base".  Don't know if that gives
> any hints, but locale stuff is *always* suspicious :-)

That's pretty common, and not a problem. Versioned symbols are there for
a reason. The 2.0 symbols have not changed their interface since glibc
2.0.x, and 2.1 since 2.1.x.

I'm working on this issue later today. I'll see what I can come up with.
It's either gcc or glibc, but I wont know for sure till I get some
debugging done.

Ben

-- 
 -----------=======-=-======-=========-----------=====------------=-=------
/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`  bcollins@debian.org  --  bcollins@openldap.org  --  bcollins@linux.com  '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Peter Naulls <peter@erble.freeserve.co.uk>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #46 received at 82601@bugs.debian.org (full text, mbox):

From: Peter Naulls <peter@erble.freeserve.co.uk>
To: debian-arm@lists.debian.org
Cc: 82601@bugs.debian.org
Subject: Re: page fault in mkfontdir
Date: Sat, 03 Mar 2001 00:02:16 +0000
In message <87wvan43jn.fsf@rabbit.fire-swamp.net>
          Stephen Zander <gibreel@debian.org> wrote:

(CCed to 82601@bugs.debian.org)

>     Mark> oops, should have looked, bug 82601 is already open (says
>     Mark> sparc only, though) and that it is probably due to some
>     Mark> other lib, not mkfontdir code itself.
> 
> It says sparc only cause that's all I have.  Nice to see it isn't
> sparc only. :/

Well, ARM _does_ have ltrace (Sparc doesn't as noted in the bug reports
for this) and that has a slight clue on the matter:


bug:~# ltrace -S mkfontdir
SYS_uname(0xbffff918)                             = 0
SYS_brk(NULL)                                     = 0x02025560
SYS_mmap(0xbffff6fc, 4096, 3, 34, 4096)           = 0x40018000
SYS_open("/etc/ld.so.preload", 0, 03)             = -2
SYS_open("/etc/ld.so.cache", 0, 01)               = 3
SYS_fstat(3, 0xbfffefe8, 0xbffff050, 1016, 3)     = 0
SYS_mmap(0xbffff038, 18520, 1, 2, 1)              = 0x40019000
SYS_close(3)                                      = 0
SYS_open("/lib/libm.so.6", 0, 00)                 = 3
SYS_read(3, "\177ELF\001\001\001a", 1024)         = 1024
SYS_fstat(3, 0xbfffefb4, 0xbffff088, 0, 3)        = 0
SYS_mmap(0xbfffef8c, 184504, 5, 2, 0xbfffefbc)    = 0x40020000
SYS_mprotect(0x40045000, 32952, 0, 151552, 0xbfffefbc) = 0
SYS_mmap(0xbfffef8c, 24576, 3, 18, 2)             = 0x40048000
SYS_close(3)                                      = 0
SYS_open("/usr/lib/libz.so.1", 0, 00)             = 3
SYS_read(3, "\177ELF\001\001\001a", 1024)         = 1024
SYS_fstat(3, 0xbfffefa4, 0xbffff078, 0, 3)        = 0
SYS_mmap(0xbfffefac, 95328, 5, 2, 0xbfffefdc)     = 0x4004e000
SYS_mprotect(0x4005c000, 37984, 0, 57344, 0xbfffefdc) = 0
SYS_mmap(0xbfffefac, 32768, 3, 18, 2)             = 0x4005e000
SYS_close(3)                                      = 0
SYS_open("/lib/libc.so.6", 0, 00)                 = 3
SYS_read(3, "\177ELF\001\001\001a", 1024)         = 1024
SYS_fstat(3, 0xbfffef94, 0xbffff068, 0, 3)        = 0
SYS_mmap(0xbfffef6c, 0x00117138, 5, 2, 0xbfffef9c) = 0x40066000
SYS_mprotect(0x4016c000, 69944, 0, 0x00106000, 0xbfffef9c) = 0
SYS_mmap(0xbfffef6c, 49152, 3, 18, 2)             = 0x4016e000
SYS_mmap(0xbfffef6c, 12600, 3, 50, 0x40179514)    = 0x4017a000
SYS_close(3)                                      = 0
SYS_open("/lib/libc.so.6", 0, 00)                 = 3
SYS_read(3, "\177ELF\001\001\001a", 1024)         = 1024
SYS_fstat(3, 0xbfffef2c, 0xbffff000, 0, 3)        = 0
SYS_close(3)                                      = 0
SYS_open("/lib/libc.so.6", 0, 00)                 = 3
SYS_read(3, "\177ELF\001\001\001a", 1024)         = 1024
SYS_fstat(3, 0xbfffeecc, 0xbfffefa0, 0, 3)        = 0
SYS_close(3)                                      = 0
SYS_munmap(0x40019000, 18520)                     = 0
SYS_getpid()                                      = 2901
__gmon_start__(1, 0xbffffd3c, 0xbffffd44, 0x020010f8, 0x4001f3e8 <unfinished ...>
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++


So, __gmon_start__ - I don't know anything about this, except a quick
search on Google reveals there have been some issues with this on Alpha.


hth, Peter


-- 
------------------------------------------------------------------------
 Peter Naulls - peter@erble.freeserve.co.uk
 Homepage - http://free.prohosting.com/~chocky/
 Java for RISC OS and ARM - http://www.java.riscos.org.uk/
 Debian Linux on RiscPCs - http://www.erble.freeserve.co.uk/
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#82601; Package xutils. Full text and rfc822 format available.

Acknowledgement sent to Chris Cheney <ccheney@cheney.cx>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #51 received at 82601@bugs.debian.org (full text, mbox):

From: Chris Cheney <ccheney@cheney.cx>
To: 82601@bugs.debian.org
Subject: Re: xutils: mkfontdir SEGVs on sparc
Date: Thu, 1 Feb 2001 10:50:34 -0600
I see this problem also.  I am running a Sun Ultra 10 Debian Sid.

I also get a segfault when xfs tries to start, i bet it has something to do
with libc6.

xutils 4.0.2-1

Depends line shows:
xfree86-common (>> 4.0), libc6 (>= 2.1.97), libncurses5, zlib1g (>=
1:1.1.3)

Installed packages:

libc6 2.2.1-1
libncurses5 5.0-7
xfree86-common 4.0.2-1
zlib1g 1:1.1.3-12




Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to gibreel@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #56 received at 82601-done@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: control@bugs.debian.org, 18666-done@bugs.debian.org, 82601-done@bugs.debian.org
Subject: xutils triage
Date: Thu, 31 May 2001 16:22:54 -0500
retitle 97671 xutils: why is rstart.real a conffile?
thanks

Closing #18666 because A) it was fixed a long time ago in xlib6g-dev, and
B) it's no longer even relevant since XF86Setup is no longer built as part
of the XFree86 build process and nothing else causes imake to need to know
about the Tcl and Tk libs anymore.

#82601 and #84793 were the result of a toolchain problem on SPARC that has
been resolved for a couple of months now.

-- 
G. Branden Robinson             |    The basic test of freedom is perhaps
Debian GNU/Linux                |    less in what we are free to do than in
branden@debian.org              |    what we are free not to do.
http://www.debian.org/~branden/ |    -- Eric Hoffer



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:26:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.